import React from 'react';
import rosetta from 'rosetta';
declare type LocalLng = string;
declare type LngDict = any;
declare type i18nContext = {
    activeLocale: LocalLng;
    t: typeof i18n.t;
    locale: (l: LocalLng, dict?: LngDict) => void;
};
declare type I18nProvider = (params: {
    children: React.ReactNode;
    locale: LocalLng;
    lngDict: LngDict;
}) => JSX.Element;
export declare const i18n: rosetta.Rosetta<unknown>;
export declare const defaultLanguage = "en";
export declare const languages: string[];
export declare const contentLanguageMap: {
    zh: string;
    en: string;
};
export declare const I18nContext: React.Context<i18nContext>;
declare const I18n: I18nProvider;
export default I18n;
